> ## Documentation Index
> Fetch the complete documentation index at: https://docs.codegen.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Repositories

> Get repositories for the specified organization.

Returns a paginated list of all repositories that belong to the specified organization.
Results include repository details such as name, ID, description, visibility, and setup status.
Use pagination parameters to control the number of results returned.

Rate limit: 60 requests per 30 seconds.



## OpenAPI

````yaml api-reference/openapi3.json get /v1/organizations/{org_id}/repos
openapi: 3.1.0
info:
  title: Developer API
  description: API for application developers
  version: 1.0.0
servers:
  - url: https://api.codegen.com
    description: Codegen API
security: []
paths:
  /v1/organizations/{org_id}/repos:
    get:
      tags:
        - repositories
        - repositories
        - repositories
      summary: Get Repositories
      description: >-
        Get repositories for the specified organization.


        Returns a paginated list of all repositories that belong to the
        specified organization.

        Results include repository details such as name, ID, description,
        visibility, and setup status.

        Use pagination parameters to control the number of results returned.


        Rate limit: 60 requests per 30 seconds.
      operationId: get_repositories_v1_organizations__org_id__repos_get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: integer
            title: Org Id
        - name: skip
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Skip
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
            title: Limit
        - name: authorization
          in: header
          required: false
          schema:
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_RepoResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIRateLimitErrorResponse'
          description: Too Many Requests
components:
  schemas:
    Page_RepoResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/RepoResponse'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        page:
          type: integer
          title: Page
        size:
          type: integer
          title: Size
        pages:
          type: integer
          title: Pages
      type: object
      required:
        - items
        - total
        - page
        - size
        - pages
      title: Page[RepoResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    APIRateLimitErrorResponse:
      properties:
        message:
          type: string
          title: Message
          default: Rate limit exceeded. Please try again later.
        status_code:
          type: integer
          title: Status Code
          default: 429
      type: object
      title: APIRateLimitErrorResponse
    RepoResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        full_name:
          type: string
          title: Full Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        github_id:
          type: string
          title: Github Id
        organization_id:
          type: integer
          title: Organization Id
        visibility:
          anyOf:
            - type: string
            - type: 'null'
          title: Visibility
        archived:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Archived
        setup_status:
          type: string
          title: Setup Status
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
      type: object
      required:
        - id
        - name
        - full_name
        - description
        - github_id
        - organization_id
        - visibility
        - archived
        - setup_status
        - language
      title: RepoResponse
      description: Represents a repository in API responses
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````